#ifndef _RPSKBONE_H
#define _RPSKBONE_H

#ifdef    _cplusplus
extern              "C"
{
#endif                          /* _cplusplus */

extern RwInt32      RpSkinAtomicSkinOffset;
/* From rpbone.c */
extern RwModuleInfo RpBoneModuleInfo;
/* Offset into frame */
extern RwInt32      RpBoneFrameDataOffset;
/* Offset into geometry */
extern RwInt32      RpBoneGeomBoneListOffset;
/* Offset into geometry stream */
extern RwInt32      RpBoneGeomBoneListStreamOffset;

extern RpAtomic    *
_rpSkinFindFirstAtomicSkinCallback(RpAtomic * pAtomic,
                                   void *pData);

extern RwFrame            *
_rpSkinDestroySequence(RwFrame * pFrame, 
                       void *pData);

extern RwFrame     *
_rpSkinExtractSequence(RwFrame * pFrame,
                       void *pData);

extern void _rpSkBoneStateDestructor(void);

extern void _rpSkBoneStateConstructor(void);

#ifdef    _cplusplus
}
#endif                          /* _cplusplus */

#endif /* _RPSKBONE_H */
